Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetDimensions

Gets the dimensions used for each subsolve step in case of doing spectrum slicing for a computational interval.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetDimensions(EPS eps,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the subsolve

- mpd - the maximum dimension allowed for the projected problem

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetDimensions()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetDimensions_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages